# Uses of Interface
org.apache.lucene.facet.taxonomy.writercache.TaxonomyWriterCache

Packages that use TaxonomyWriterCache
Package
Description
org.apache.lucene.facet.taxonomy.directory
Taxonomy index implementation using on top of a Directory.
org.apache.lucene.facet.taxonomy.writercache
Improves indexing time by caching a map of CategoryPath to their Ordinal.

- ## Uses of TaxonomyWriterCache in org.apache.lucene.facet.taxonomy.directory

  Methods in org.apache.lucene.facet.taxonomy.directory that return TaxonomyWriterCache
  Modifier and Type
  Method
  Description
  `static TaxonomyWriterCache`
  DirectoryTaxonomyWriter.`defaultTaxonomyWriterCache()`
  Defines the default `TaxonomyWriterCache` to use in constructors which do not specify one.
  `TaxonomyWriterCache`
  DirectoryTaxonomyWriter.`getCache()`
  Returns the `TaxonomyWriterCache` in use by this writer.
  Constructors in org.apache.lucene.facet.taxonomy.directory with parameters of type TaxonomyWriterCache
  Modifier
  Constructor
  Description
  ``
  `DirectoryTaxonomyWriter(Directory directory, IndexWriterConfig.OpenMode openMode, TaxonomyWriterCache cache)`
  Construct a Taxonomy writer.

- ## Uses of TaxonomyWriterCache in org.apache.lucene.facet.taxonomy.writercache

  Classes in org.apache.lucene.facet.taxonomy.writercache that implement TaxonomyWriterCache
  Modifier and Type
  Class
  Description
  `class`
  `LruTaxonomyWriterCache`
  LRU `TaxonomyWriterCache` - good choice for huge taxonomies.